<script setup lang="ts">
import DatePickerDialog from '@/components/DatePickerDialog.vue'
import { useDatePickerStore } from '@/services/datePicker'
import { useMemberStore } from '@/stores/member'
import { ref } from 'vue'

const memberStore = useMemberStore()
const dateStore = useDatePickerStore()

const datePickerDialog = ref(false)
function getSelectedDate(date: string) {
  memberStore.memberItem.birthDate = date
}

function openDatePickerDialog() {
  datePickerDialog.value = true
}
</script>

<template>
  <v-dialog v-model:model-value="memberStore.dialog">
    <v-card class="pa-5" title="New Customer">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field v-model="memberStore.memberItem.fName" label="FirstName">
              </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="memberStore.memberItem.lName" label="LastName"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="memberStore.memberItem.tel" label="Tel"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="memberStore.memberItem.point" label="Point"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <v-menu max-width="290">
                <template #activator>
                  <v-text-field
                    v-model="memberStore.memberItem.birthDate"
                    readonly
                    prepend-icon="mdi-calendar"
                    @click="openDatePickerDialog"
                    label="Birth Date"
                  >
                  </v-text-field>
                  <date-picker-dialog
                    :dialog="datePickerDialog"
                    @getDialog="(newValue) => (datePickerDialog = newValue)"
                    @selectedDate="getSelectedDate"
                  />
                </template>
              </v-menu>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="memberStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="memberStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
